## uisp 0.1.6

=== src/Makefile ===
# Micro In-System Programmer Makefile
# Uros Platise (c) 1999
#
# Check directories and then
#  - to compile type: make
#  - to install type: make install
#  - to run type: uisp
#
# Switch -fhandle-exceptions is required by the GNU C++ 2.7.2.1 and
# may be removed for higher versions (as egcs 2.9.*)

# Directory Setup
        UISP_BIN = /usr/local/bin

# The following lines declare compile options.

CC	= g++

# If you got old linux you might probably need this line
#CPPFLAGS= -Wall -O2 -fhandle-exceptions -D__BROKEN_LINUX 
#-DSER_BAUDRATE=B38400

# for egcs c++
CPPFLAGS= -Wall -O2

SRC	= Main.C Serial.C sdf.C Avr.C termAvr.C cmdAvr.C \
          AtmelAvr.C AtmelTerm.C AtmelCMD.C PSPI.C PartDB.C

OBJ	= Main.o Serial.o sdf.o Avr.o termAvr.o cmdAvr.o \
          AtmelAvr.o AtmelTerm.o AtmelCMD.o PSPI.o PartDB.o

all:	uisp

uisp:	$(OBJ)
	g++ -o $@ $(OBJ) $(LIBS)

clean:
	rm -f *.o
	rm -f uisp

install: uisp
	cp uisp $(UISP_BIN)
