## uisp 20050207

=== pavr/Makefile ===
--- 
+++ 
@@ -16,13 +16,17 @@
 
 OUT = pavr.elf
 SREC = pavr.srec
+IHEX = pavr.hex
 MAP = pavr.map
 LST = pavr.lst
 
-all: $(SREC) $(LST)
+all: $(IHEX) $(LST)
 
 $(SREC): $(OUT)
 	avr-objcopy --output-target=srec $(OUT) $(SREC)
+
+$(IHEX): $(OUT)
+	avr-objcopy --output-target=ihex $(OUT) $(IHEX)
 
 $(LST): $(OUT)
 	avr-objdump -S -h -D $(OUT) > $(LST)
@@ -43,5 +47,5 @@
 	$(LD) $(OBJS) -o $(OUT) $(LDFLAGS) > $(MAP)
 
 clean:
-	rm -f $(OBJS) $(OUT) $(SREC) $(MAP) $(LST)
+	rm -f $(OBJS) $(OUT) $(SREC) $(IHEX) $(MAP) $(LST)
