=== debian/changelog ===
uisp (20050207-4.5) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Fix previous upload and remove duplicated doc
    files installed by upstream build system in wrong directory.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Sep 2021 13:49:14 -0400

uisp (20050207-4.4) unstable; urgency=high

  * Non-maintainer upload.
  * Replace obsolete Priority: extra with Priority: optional.
  * debian/rules: Rewrite with dh sequencer.
    + Also invoke autoreconf before configure.
  * debian/compat: Dropped, not needed.
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13. (Closes: #965856)
  * debian/patches; Refresh patches.
  * debian/patches/0006-fix-configure.ac.patch: Make configure.ac
    compatible with autoconf 2.69+. (Closes: #978913)
  * debian/watch: Update to v4 format. (Closes: #529148)
  * debian/not-installed: Remove duplicated installation entry.
  * debian/dirs: Dropped, useless.
  * Apply patch from Ubuntu:

  [ Ilya Barygin ]
  * Build with -Wno-error as some warn_unused_result warnings are
    generated. Fixes FTBFS.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Sep 2021 10:59:52 -0400

uisp (20050207-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop dpatch, switch to source format 3.0 (quilt)
  * Make the build reproducible, patch by Chris Lamb (Closes: #832290)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 09 Aug 2019 16:21:50 +0200

uisp (20050207-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": debian/rules: add -Wno-narrowing to CXXFLAGS, as
    suggested by Matthias Klose.
    (Closes: #667403)

 -- gregor herrmann <gregoa@debian.org>  Fri, 25 May 2012 15:30:45 +0200

uisp (20050207-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with gcc-4.6 -Werror": add patch 40_fix_g++_4.6.dpatch from
    peter green (removes unused variables).
    Closes: #625409

 -- gregor herrmann <gregoa@debian.org>  Wed, 21 Dec 2011 14:33:08 +0100

uisp (20050207-4) unstable; urgency=low

  * Changed debian/rules to apply dpatches at configure-time.
  * Fixed the manpage patch accordingly.
  * Added 30_fix_g++_4.3.dpatch fixing the use of parenthesis with the
    shift operator. (Closes: #417677)
  * Cleaned up old 10_const_char.dpatch to new dpatch simpler format.
  * Switched to debhelper compat level 5.
  * Cleaned and updated debian/rules
  * Upgraded to Standards-Version 3.7.2 - No changes needed.
  * Moved Homepage from pseudo-field to real field in debian/control.

 -- Margarita Manterola <marga@debian.org>  Thu, 27 Sep 2007 22:27:27 -0300

uisp (20050207-3) unstable; urgency=low

  * Changed maintainer address.
  * Added 10_const_char.dpatch to make it compile with GCC 4.2 
    (Closes: #361712)
  * Added 20_fix_manpage.dpatch to fix the manpage. (Closes: 360021)

 -- Margarita Manterola <marga@debian.org>  Fri, 14 Apr 2006 14:26:41 -0300

uisp (20050207-2) unstable; urgency=low

  * Fixed debian/rules to comply with Policy section 10.1
  * Trigger a rebuild for the C++ transition.

 -- Margarita Manterola <debian@marga.com.ar>  Wed, 27 Jul 2005 11:21:45 -0300

uisp (20050207-1) unstable; urgency=low

  * New upstream release
  * The patches applied are now in upstream, removed from debian/patches,
    removed dpatch build-dependency.
  * Added upstream homepage to the description in debian/control

 -- Margarita Manterola <debian@marga.com.ar>  Tue,  8 Feb 2005 10:40:38 -0300

uisp (20040311-1) unstable; urgency=low

  * Apply patch to support Datamekatornik 2004 cable, submitted by Hakan Ardo 
    (closes: #240250).
  * Apply patch to support g++-3.4 (closes: #264444).
  * Add the new changelogs and several other documents to /usr/share/doc/uisp
    (closes: #202771).
  * Apply patch to support ATDH cable.
  * New upstream release (closes: #253721)
    - Fixes argument parsing for -datmel (closes: #226275).
  * New maintainer.

 -- Margarita Manterola <debian@marga.com.ar>  Wed, 11 Oct 2004 16:28:16 -0300

uisp (20030618-2) unstable; urgency=low

  * Forgot to update maintainer in control file, fixed.

 -- Jefferson E. Noxon <jeff@debian.org>  Mon, 28 Jul 2003 12:38:24 -0500

uisp (20030618-1) unstable; urgency=low

  * New upstream release
  * New maintainer

 -- Jefferson E. Noxon <jeff@debian.org>  Thu, 24 Jul 2003 11:08:05 -0500

uisp (20021201-1) unstable; urgency=low

  * New upstream release

 -- Shaun Jackman <sjackman@debian.org>  Mon, 10 Mar 2003 22:41:45 -0800

uisp (20020626-1) unstable; urgency=low

  * New upstream release (closes: #138733)
  * New upstream location (closes: #148266)

 -- Shaun Jackman <sjackman@debian.org>  Sat,  5 Oct 2002 10:37:54 -0700

uisp (20010701-1.1) unstable; urgency=low

  * NMU
  * Fix C++ errors.  Closes: #105113.

 -- LaMont Jones <lamont@ia.mmjgroup.com>  Tue, 31 Jul 2001 12:52:38 -0600

uisp (20010701-1) unstable; urgency=low

  * New upstream release (closes: Bug#103003)
  * New upstream maintainer address in copyright file
  * New download location noted

 -- Jefferson E. Noxon <jeff@debian.org>  Mon,  2 Jul 2001 16:37:02 -0500

uisp (20001118-1) unstable; urgency=low

  * New upstream release
  * Add Build-Depends

 -- Jefferson E. Noxon <jeff@debian.org>  Sat, 18 Nov 2000 14:53:23 -0600

uisp (0.1.6-4) frozen unstable; urgency=low

  * Removed PSPI functionality entirely.

 -- Jefferson E. Noxon <jeff@debian.org>  Mon, 10 Apr 2000 16:05:33 -0500

uisp (0.1.6-3.1) frozen unstable; urgency=low

  * NMU
  * Applied patch from bug report to make this compile on all archs in
    order to satisy dependencies on packages that are compiled on all
    archs, closes: #61145
  * changed control file's arch for the above change

 -- Ben Collins <bcollins@debian.org>  Thu,  6 Apr 2000 23:43:44 -0400

uisp (0.1.6-3) unstable; urgency=low

  * Updated to debian-policy 3.0.1.1
  * Changed maintainer address

 -- Jefferson E. Noxon <jeff@debian.org>  Tue, 14 Sep 1999 23:53:13 -0500


