=== debian/control ===
Source: uisp
Section: electronics
Priority: optional
Maintainer: Margarita Manterola <marga@debian.org>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
Homepage: http://www.nongnu.org/uisp/

Package: uisp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Micro In-System Programmer for Atmel's AVR MCUs
 This utility is required to program AVR chips with object code
 created by the ava assembler/linker, gas, or gcc.  It supports
 in-system programming, Atmel's prototype board/programmer (stk500),
 and many other extremely low-cost parallel port programmers.
 It can also be used to program Atmel's AT89S51 and AT89S52.
