=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =
# package maintainers to append CXXFLAGS
export DEB_CXXFLAGS_MAINT_APPEND = -Wno-narrowing -Wno-error

%:
	dh $@

# Remove duplicated docs in wrong dir
execute_after_dh_auto_install:
	rm -r $(CURDIR)/debian/uisp/usr/share/doc/uisp-*
