=== debian/watch ===
version=4
opts="" \
 https://savannah.nongnu.org/download/uisp/ uisp-(?:.*)@ARCHIVE_EXT@ debian uupdate
